class MaterialReleasePolicy < ReleasePolicy
  def create?
    true
  end

  def show?
    true
  end

  def update?
    !record.native?
  end

  def index?
    true
  end

  def destroy?
    user.manager? || user.account_manager?
  end

  def edit_files?
    true
  end

  def update_files?
    edit_files?
  end

  def update_photos?
    edit_files?
  end

  def tag_multiple?
    true
  end

  def download_multiple?
    true
  end

  def review?
    user.account_manager?
  end

  def approve?
    review?
  end
end
